Loading...
Searching...
No Matches
BALL::QuadraticImproperTorsion Class Reference
Molecular Modeling » Molecular Mechanics » Force Field Parameters

`#include <BALL/MOLMEC/PARAMETER/quadraticImproperTorsion.h>`

Inheritance diagram for BALL::QuadraticImproperTorsion:

## Classes

struct | Values
struct | Data

## Public Types

enum | { UNKNOWN }
Public Types inherited from BALL::ParameterSection
enum | { MAX_FIELDS = 20 }

## Public Member Functions

Constructors and destructor
| QuadraticImproperTorsion ()
| QuadraticImproperTorsion (const QuadraticImproperTorsion &torsion)
virtual | ~QuadraticImproperTorsion ()
virtual void | clear ()
Parameter extraction
virtual bool | extractSection (ForceFieldParameters &parameters, const String &section_name)
virtual bool | extractSection (Parameters &parameters, const String &section_name)
bool | hasParameters (Atom::Type I, Atom::Type J, Atom::Type K, Atom::Type L) const
QuadraticImproperTorsion::Values | getParameters (Atom::Type I, Atom::Type J, Atom::Type K, Atom::Type L) const
bool | assignParameters (QuadraticImproperTorsion::Values &parameters, Atom::Type I, Atom::Type J, Atom::Type K, Atom::Type L) const
Assignment
const QuadraticImproperTorsion & | operator= (const QuadraticImproperTorsion &torsion)
Public Member Functions inherited from BALL::ParameterSection
| ParameterSection ()
| ParameterSection (const ParameterSection &parameter_section)
virtual | ~ParameterSection ()
bool | extractSection (Parameters &parameters, const String &section_name)
const String & | getSectionName () const
const String & | getValue (const String &key, const String &variable) const
bool | has (const String &key, const String &variable) const
bool | has (const String &key) const
bool | hasVariable (const String &variable) const
Position | getColumnIndex (const String &variable) const
Size | getNumberOfVariables () const
Size | getNumberOfKeys () const
const String & | getValue (Position key_index, Position variable_index) const
const String & | getKey (Position key_index) const
const ParameterSection & | operator= (const ParameterSection &section)
virtual bool | isValid () const
bool | operator== (const ParameterSection &parameter_section) const

## Predicates

Size | number_of_atom_types_
vector< Values > | torsions_
HashMap< Size, Size > | torsion_hash_map_
bool | operator== (const QuadraticImproperTorsion &torsion) const

## Additional Inherited Members

Options | options
Static Public Attributes inherited from BALL::ParameterSection
static const String | UNDEFINED
String | section_name_
String | format_line_
StringHashMap< Index > | section_entries_
StringHashMap< Index > | variable_names_
std::vector< String > | entries_
std::vector< String > | keys_
Size | number_of_variables_
std::vector< float > | version_
bool | valid_

## Detailed Description

QuadraticImproperTorsion.

Definition at line 27 of file quadraticImproperTorsion.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
UNKNOWN |

Definition at line 32 of file quadraticImproperTorsion.h.

## Constructor & Destructor Documentation

## QuadraticImproperTorsion() [1/2]

BALL::QuadraticImproperTorsion::QuadraticImproperTorsion | ( |  | ) |

Default constructor.

## QuadraticImproperTorsion() [2/2]

BALL::QuadraticImproperTorsion::QuadraticImproperTorsion | ( | const QuadraticImproperTorsion & | torsion | ) |

Copy constructor.

## ~QuadraticImproperTorsion()

virtual BALL::QuadraticImproperTorsion::~QuadraticImproperTorsion | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::QuadraticImproperTorsion::assignParameters | ( | QuadraticImproperTorsion::Values & | parameters,
|  | Atom::Type | I,
|  | Atom::Type | J,
|  | Atom::Type | K,
|  | Atom::Type | L ) const

Assign the parameters for a given atom type combination. If no parameters are defined for this combination, false is returned and nothing is changed.

## clear()

virtual void BALL::QuadraticImproperTorsion::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::ParameterSection.

## extractSection() [1/2]

virtual bool BALL::QuadraticImproperTorsion::extractSection | ( | ForceFieldParameters & | parameters,
|  | const String & | section_name )

virtual

Reads a parameter section from an INI file. This method reads the section given in section_name from ini_file, interprets (if given) a format line, reads the data from this section according to the format, and builds some datastructures for fast and easy acces this data.

## extractSection() [2/2]

virtual bool BALL::QuadraticImproperTorsion::extractSection | ( | Parameters & | parameters,
|  | const String & | section_name )

virtual

## getParameters()

QuadraticImproperTorsion::Values BALL::QuadraticImproperTorsion::getParameters | ( | Atom::Type | I,
|  | Atom::Type | J,
|  | Atom::Type | K,
|  | Atom::Type | L ) const

Returns the parameters for a given atom type combination.

## hasParameters()

bool BALL::QuadraticImproperTorsion::hasParameters | ( | Atom::Type | I,
|  | Atom::Type | J,
|  | Atom::Type | K,
|  | Atom::Type | L ) const

Queries whether a parameter set is defined for the given atom types.

## operator=()

const QuadraticImproperTorsion & BALL::QuadraticImproperTorsion::operator= | ( | const QuadraticImproperTorsion & | torsion | ) |

Assignment operator

## operator==()

bool BALL::QuadraticImproperTorsion::operator== | ( | const QuadraticImproperTorsion & | torsion | ) | const

Equality operator

## Member Data Documentation

## number_of_atom_types_

Size BALL::QuadraticImproperTorsion::number_of_atom_types_

protected

Definition at line 148 of file quadraticImproperTorsion.h.

## torsion_hash_map_

HashMap<Size, Size> BALL::QuadraticImproperTorsion::torsion_hash_map_

protected

Definition at line 152 of file quadraticImproperTorsion.h.

## torsions_

vector<Values> BALL::QuadraticImproperTorsion::torsions_

protected

Definition at line 150 of file quadraticImproperTorsion.h.